export interface WasmGeneratorOptions {
    workingDir?: string;
    env?: Record<string, any>;
}
export interface FallbackOptions {
    /** Tool needed to transpile the wasm file to a JavaScript file */
    wasm2jsPath?: string;
}
declare function generateWasm(command: string, options: WasmGeneratorOptions): Promise<void>;
declare function generateWasmFallback(wasmFilePath: string, options: WasmGeneratorOptions, fallbackOptions: FallbackOptions, optLevel: string | undefined): Promise<string>;
declare function generateImportCode(wasmFilePath: string, enableFallback: boolean): Promise<string>;
export { generateWasmFallback, generateImportCode, generateWasm };
